Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.smil
Enum OdfEndsyncType

    java.lang.Object
      java.lang.Enum<OdfEndsyncType>
          org.odftoolkit.odfdom.dom.type.smil.OdfEndsyncType

All Implemented Interfaces:
  Serializable, Comparable<OdfEndsyncType>

    public enum OdfEndsyncType

extends Enum<OdfEndsyncType>

DOM implementation of OpenDocument attribute smil:endsync.

Enum Constant Summary
`ALL`
`FIRST`
`LAST`
`MEDIA`

Method Summary
`static OdfEndsyncType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfEndsyncType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfEndsyncType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfEndsyncType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final OdfEndsyncType ALL

### MEDIA

    public static final OdfEndsyncType MEDIA

### FIRST

    public static final OdfEndsyncType FIRST

### LAST

    public static final OdfEndsyncType LAST

Method Detail

### values

    public static OdfEndsyncType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfEndsyncType c : OdfEndsyncType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfEndsyncType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfEndsyncType>`
  Returns:
    return the name of OdfEndsyncType

### toString

    public static String toString(OdfEndsyncType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfEndsyncType, see smil:endsync
  Returns:
    return the name of OdfEndsyncType

### enumValueOf

    public static OdfEndsyncType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfEndsyncType
  Returns:
    return the constant of OdfEndsyncType, see smil:endsync

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.